# Uses of Interface
org.opensaml.soap.wstrust.ComputedKeyAlgorithm

Packages that use ComputedKeyAlgorithm
Package
Description
org.opensaml.soap.wstrust.impl
XML Object provider implementations for WS-Trust.

## Uses of ComputedKeyAlgorithm in org.opensaml.soap.wstrust.impl

Classes in org.opensaml.soap.wstrust.impl that implement ComputedKeyAlgorithm
Modifier and Type
Class
Description
`class`
`ComputedKeyAlgorithmImpl`
ComputedKeyAlgorithmImpl.
Methods in org.opensaml.soap.wstrust.impl that return ComputedKeyAlgorithm
Modifier and Type
Method
Description
`ComputedKeyAlgorithm`
ComputedKeyAlgorithmBuilder.`buildObject()`
Builds a WS-Trust object of the given type.
`ComputedKeyAlgorithm`
ComputedKeyAlgorithmBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.